Attribute VB_Name = "ModuloDeclaracoes"
Global iNum, iNum1, ccbLargura, ccbPosicao, ccbFonte, iLargura As Integer
Global strTipoCodigo As String

'===============================================================================
'********************************************************************************
'
'                      DECLARAO DAS FUNES DA Elgin.DLL
'
'********************************************************************************
'===============================================================================}
Declare Function Wind_AcionaGaveta Lib "Elgin.dll" () As Integer
Declare Function Wind_AcionaGuilhotina Lib "Elgin.dll" (ByVal Modo As Integer) As Integer
Declare Function Wind_AcionaGuilhotinaParcial Lib "Elgin.dll" (ByVal Modo As Integer) As Integer
Declare Function Wind_AjustaLarguraPapel Lib "Elgin.dll" (ByVal LarguraPapel As Integer) As Integer
Declare Function Wind_ConfiguraCodigoBarras Lib "Elgin.dll" (ByVal Altura As Integer, ByVal Largura As Integer, ByVal PosicaoCaracteres As Integer, ByVal Fonte As Integer, ByVal Margem As Integer) As Integer
Declare Function Wind_EnviaBuffer Lib "Elgin.dll" (ByVal Buffer As String) As Integer
Declare Function Wind_EnviaBufferFormatado Lib "Elgin.dll" (ByVal Buffer As String, ByVal TipoLetra As Integer, ByVal Italico As Integer, ByVal Sublinhado As Integer, ByVal Expandido As Integer, ByVal Enfatizado As Integer) As Integer
Declare Function Wind_EnviaComando Lib "Elgin.dll" (ByVal Buffer As String, ByVal TamanhoBuffer As Integer) As Integer
Declare Function Wind_ImprimeBitmap Lib "Elgin.dll" (ByVal NomeArquivo As String, ByVal Modo As Integer) As Integer
Declare Function Wind_ImprimeBmpEspecial Lib "Elgin.dll" (ByVal NomeArquivo As String, ByVal EscalaX As Integer, ByVal EscalaY As Integer, ByVal Angulo As Integer) As Integer
Declare Function Wind_ImprimeCodigoBarrasCODABAR Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasCODE128 Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasCODE39 Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasCODE93 Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasEAN13 Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasEAN8 Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasISBN Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasITF Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasMSI Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasPDF417 Lib "Elgin.dll" (ByVal NivelCorrecaoErros As Integer, ByVal Altura As Integer, ByVal Largura As Integer, ByVal Colunas As Integer, ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasPLESSEY Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasUPCA Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_ImprimeCodigoBarrasUPCE Lib "Elgin.dll" (ByVal Codigo As String) As Integer
Declare Function Wind_VerificaEstadoGaveta Lib "Elgin.dll" () As Integer
Declare Function Wind_VerificaFimPapel Lib "Elgin.dll" () As Integer
Declare Function Wind_VerificaPoucoPapel Lib "Elgin.dll" () As Integer
Declare Function Wind_VerificaOnLine Lib "Elgin.dll" () As Integer
Declare Function Elgin_RetornoImpressora Lib "Elgin.dll" (ByRef i As Integer, ByVal ErrorMsg As String) As Integer

'===============================================================================
'********************************************************************************
'
'                   DECLARAO DAS FUNES GLOBAIS DO DemoFit
'
'********************************************************************************
'===============================================================================}
Public Function TrataRetorno(ByVal iRetorno As Integer) As Boolean
    Dim strMsgErro As String
    Dim bRetorno As Boolean
    
    bRetorno = False
    If (iRetorno <> 1 And iRetorno <> -292) Then
        Select Case iRetorno
            Case 0
                If (ObtemRetornoECF(strMsgErro)) Then
                    MsgBox strMsgErro, vbCritical, "DemoWind - Erro na comunicao."
                Else
                    MsgBox "Erro na comunicao.", vbCritical, "DemoWind"
                End If
            Case -2
                MsgBox "Parmetro invlido na funo.", vbCritical, "DemoWind"
            Case -4
                MsgBox "O arquivo de inicializao Elgin.ini no foi encontrado no diretrio de sistema do Windows.", vbCritical, "DemoFit32"
            Case -5
                MsgBox "Erro ao abrir a porta de comunicao.", vbCritical, "DemoWind"
            Case -27
                MsgBox "Status da impressora diferente de 6,0,0 (ACK, ByVal ST1 e ST2).", vbCritical, "DemoWind"
            Case Else
                MsgBox "Ocorreu um erro desconhecido. Erro n " & CStr(iRetorno), vbCritical, "DemoWind"
        End Select
    'Else
    '    MsgBox "Operao realizada com sucesso", vbOKOnly, "DemoWind"
    '    bRetorno = True
    End If
    'TODO: Obter retorno da impressora
    TrataRetorno = bRetorno
End Function

Public Function ObtemRetornoECF(ByRef strMensagemErro As String) As Boolean
    Dim iRetorno As Integer
    Dim iCodErro As Integer
    Dim strErroMsg As String
    Dim bSucesso As Boolean
   
    strErroMsg = Space(100)
        
    iRetorno = Elgin_RetornoImpressora(iCodErro, strErroMsg)
    
    strMensagemErro = "Erro n: " & CStr(iCodErro) & " - " & strErroMsg
    
    If (iRetorno = 1) Then
        bSucesso = True
    Else
        bSucesso = False
    End If
    
    ObtemRetornoECF = bSucesso

End Function
