Option Strict Off
Option Explicit On
Module ModuloDeclaracoes
	Public ccbPosicao, iNum1, iNum, ccbLargura, ccbFonte As Object
	Public iLargura As Short
	Public strTipoCodigo As String
	
	'===============================================================================
	'********************************************************************************
	'
	'                      DECLARAO DAS FUNES DA ElginCupom.DLL
	'
	'********************************************************************************
	'===============================================================================}
	Declare Function ElginCupom_AcionaGaveta Lib "ElginCupom.dll" () As Short
	Declare Function ElginCupom_AcionaGuilhotina Lib "ElginCupom.dll" (ByVal Modo As Short) As Short
	Declare Function ElginCupom_AcionaGuilhotinaParcial Lib "ElginCupom.dll" (ByVal Modo As Short) As Short
	Declare Function ElginCupom_AjustaLarguraPapel Lib "ElginCupom.dll" (ByVal LarguraPapel As Short) As Short
	Declare Function ElginCupom_ConfiguraCodigoBarras Lib "ElginCupom.dll" (ByVal Altura As Short, ByVal Largura As Short, ByVal PosicaoCaracteres As Short, ByVal Fonte As Short, ByVal Margem As Short) As Short
	Declare Function ElginCupom_EnviaBuffer Lib "ElginCupom.dll" (ByVal Buffer As String) As Short
	Declare Function ElginCupom_EnviaBufferFormatado Lib "ElginCupom.dll" (ByVal Buffer As String, ByVal TipoLetra As Short, ByVal Italico As Short, ByVal Sublinhado As Short, ByVal Expandido As Short, ByVal Enfatizado As Short) As Short
	Declare Function ElginCupom_EnviaComando Lib "ElginCupom.dll" (ByVal Buffer As String, ByVal TamanhoBuffer As Short) As Short
	Declare Function ElginCupom_ImprimeBitmap Lib "ElginCupom.dll" (ByVal NomeArquivo As String, ByVal Modo As Short) As Short
	Declare Function ElginCupom_ImprimeBmpEspecial Lib "ElginCupom.dll" (ByVal NomeArquivo As String, ByVal EscalaX As Short, ByVal EscalaY As Short, ByVal Angulo As Short) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasCODABAR Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasCODE128 Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasCODE39 Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasCODE93 Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasEAN13 Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasEAN8 Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasISBN Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasITF Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasMSI Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasPDF417 Lib "ElginCupom.dll" (ByVal NivelCorrecaoErros As Short, ByVal Altura As Short, ByVal Largura As Short, ByVal Colunas As Short, ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasPLESSEY Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasUPCA Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_ImprimeCodigoBarrasUPCE Lib "ElginCupom.dll" (ByVal Codigo As String) As Short
	Declare Function ElginCupom_VerificaEstadoGaveta Lib "ElginCupom.dll" () As Short
	Declare Function ElginCupom_VerificaFimPapel Lib "ElginCupom.dll" () As Short
	Declare Function ElginCupom_VerificaPoucoPapel Lib "ElginCupom.dll" () As Short
	Declare Function ElginCupom_VerificaOnLine Lib "ElginCupom.dll" () As Short
	Declare Function Elgin_RetornoImpressora Lib "ElginCupom.dll" (ByRef i As Short, ByVal ErrorMsg As String) As Short
	
	'===============================================================================
	'********************************************************************************
	'
	'                   DECLARAO DAS FUNES GLOBAIS DO DemoFit
	'
	'********************************************************************************
	'===============================================================================}
	Public Function TrataRetorno(ByVal iRetorno As Short) As Boolean
		Dim strMsgErro As String
		Dim bRetorno As Boolean
		
		bRetorno = False
		If (iRetorno <> 1 And iRetorno <> -292) Then
			Select Case iRetorno
				Case 0
					If (ObtemRetornoECF(strMsgErro)) Then
						MsgBox(strMsgErro, MsgBoxStyle.Critical, "DemoWind - Erro na comunicao.")
					Else
						MsgBox("Erro na comunicao.", MsgBoxStyle.Critical, "DemoWind")
					End If
				Case -2
					MsgBox("Parmetro invlido na funo.", MsgBoxStyle.Critical, "DemoWind")
				Case -4
					MsgBox("O arquivo de inicializao Elgin.ini no foi encontrado no diretrio de sistema do ElginCupomows.", MsgBoxStyle.Critical, "DemoFit32")
				Case -5
					MsgBox("Erro ao abrir a porta de comunicao.", MsgBoxStyle.Critical, "DemoWind")
				Case -27
					MsgBox("Status da impressora diferente de 6,0,0 (ACK, ByVal ST1 e ST2).", MsgBoxStyle.Critical, "DemoWind")
				Case Else
					MsgBox("Ocorreu um erro desconhecido. Erro n " & CStr(iRetorno), MsgBoxStyle.Critical, "DemoWind")
			End Select
			'Else
			'    MsgBox "Operao realizada com sucesso", vbOKOnly, "DemoWind"
			'    bRetorno = True
		End If
		'TODO: Obter retorno da impressora
		TrataRetorno = bRetorno
	End Function
	
	Public Function ObtemRetornoECF(ByRef strMensagemErro As String) As Boolean
		Dim iRetorno As Short
		Dim iCodErro As Short
		Dim strErroMsg As String
		Dim bSucesso As Boolean
		
		strErroMsg = Space(100)
		
		iRetorno = Elgin_RetornoImpressora(iCodErro, strErroMsg)
		
		strMensagemErro = "Erro n: " & CStr(iCodErro) & " - " & strErroMsg
		
		If (iRetorno = 1) Then
			bSucesso = True
		Else
			bSucesso = False
		End If
		
		ObtemRetornoECF = bSucesso
		
	End Function
End Module