// DemoNixDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DemoNix.h"
#include "DemoNixDlg.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CDemoNixDlg dialog



CDemoNixDlg::CDemoNixDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDemoNixDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_pImpressora = new CImpressora();
}

void CDemoNixDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_TEXTO, m_edtTexto);
}

BEGIN_MESSAGE_MAP(CDemoNixDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, &CDemoNixDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDC_BTN_CORTAPAPEL, &CDemoNixDlg::OnBnClickedBtnCortapapel)
END_MESSAGE_MAP()


// CDemoNixDlg message handlers

BOOL CDemoNixDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDemoNixDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDemoNixDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void ErrorExit(LPTSTR lpszFunction) 
{ 
    // Retrieve the system error message for the last-error code

    LPVOID lpMsgBuf;    
    DWORD dw = GetLastError(); 

    FormatMessage(
        FORMAT_MESSAGE_ALLOCATE_BUFFER | 
        FORMAT_MESSAGE_FROM_SYSTEM |
        FORMAT_MESSAGE_IGNORE_INSERTS,
        NULL,
        dw,
        MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
        (LPTSTR) &lpMsgBuf,
        0, NULL );
	
	MessageBox(NULL, (LPCTSTR)lpMsgBuf, TEXT("Error ") , MB_OK); 

    LocalFree(lpMsgBuf);   
	exit(0);
}




void CDemoNixDlg::OnBnClickedOk()
{	
	UpdateData();
	Imprimir( m_edtTexto );
	//OnOK();
}

// Imprime direto na impressora
void CDemoNixDlg::Imprimir(CString strTexto)
{	
	LPSTR szPrinterName = TEXT("NIX(U) 1");			
	BOOL bSucesso = m_pImpressora->AbreImpressora( szPrinterName );
	if (bSucesso) {
		bSucesso = m_pImpressora->ImprimeTexto( (LPSTR)strTexto.GetBuffer() );
		if (bSucesso) {
			printf_s("Sucesso: %d",m_pImpressora->LeUltimoErro() );
		} else {
			printf_s("Erro: %d",m_pImpressora->LeUltimoErro() );
		}
		bSucesso = m_pImpressora->FechaImpressora();
		if (!bSucesso) {
			printf_s("Erro: %d",m_pImpressora->LeUltimoErro() );
		}
	} else {
		printf_s("Erro: %d",m_pImpressora->LeUltimoErro() );
	}	
}

void CDemoNixDlg::OnBnClickedBtnCortapapel()
{
	CString cmd;
	cmd.AppendChar(0x1b);
	cmd.AppendChar('w');
	Imprimir( cmd );
	
}
