unit UCodigoBarras;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask;

type
  TfrmCodigoBarras = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    edtBuffer: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCodigoBarras: TfrmCodigoBarras;

implementation

uses UDeclaracoes, UEnviaBuffer, UConfCodBarras;

var buffer: string;
    caractere: char;
    iPos: integer;
{$R *.dfm}

procedure TfrmCodigoBarras.Button1Click(Sender: TObject);
begin
 if (edtbuffer.Text <>'') then
 begin
    ElginCupom_EnviaComando(Chr(2), 1);
    case strtoint(strTipoCodigo) of
      1: ElginCupom_ImprimeCodigoBarrasCODABAR(edtBuffer.text); // CodigoBarrasCODABAR
      2: ElginCupom_ImprimeCodigoBarrasCODE128(edtBuffer.text); //CodigoBarrasCODE128
      3: ElginCupom_ImprimeCodigoBarrasCODE39(edtBuffer.text);  //CodigoBarrasCODE39
      4: ElginCupom_ImprimeCodigoBarrasCODE93(edtBuffer.text);  //CodigoBarrasCODE93
    end;

    if strTipoCodigo = '5' then
    begin
      if Length(edtBuffer.Text) = 12 then
      begin
        ElginCupom_ImprimeCodigoBarrasEAN13(edtBuffer.text);
      end else
      begin
        Application.MessageBox('O cdigo tem que ter 12 caracteres entre 0 e 9', 'Cdigo de Barras');
      end;
    end;

    if strTipoCodigo = '6' then    //ImprimeCodigoBarrasEAN8
    begin
      if Length(edtBuffer.Text) = 7 then
      begin
        ElginCupom_ImprimeCodigoBarrasEAN8(edtBuffer.text);
      end else
      begin
        Application.MessageBox('O cdigo tem que ter 7 caracteres entre 0 e 9', 'Cdigo de Barras');
      end;
    end;

    if strTipoCodigo = '7' then
    begin
  //    if (edtBuffer.text[10] = '-') and ((edtBuffer.Text[11] = 'x') or (edtBuffer.Text[11] = 'X')) then
  //    begin
       ElginCupom_ImprimeCodigoBarrasISBN(edtBuffer.text);
  //    end else
  //       Application.MessageBox('O cdigo tem que ter 9 caracteres entre 0 e 9, "-" (hifen) e "X"', 'Cdigo de Barras');
     end;

    if strTipoCodigo = '8' then  //CodigoBarrasITF
    begin
      ElginCupom_ImprimeCodigoBarrasITF(edtBuffer.text);
    end;

    if strTipoCodigo = '9' then  //CodigoBarrasMSI
    begin
      ElginCupom_ImprimeCodigoBarrasMSI(edtBuffer.text);
    end;

    if strTipoCodigo = '10' then  //CodigoBarrasPDF417
    begin
    // ElginCupom_ImprimeCodigoBarrasPDF417(edtBuffer.text);
    end;

    if strTipoCodigo = '11' then  //CodigoBarrasPLESSEY
    begin
      ElginCupom_ImprimeCodigoBarrasPLESSEY(edtBuffer.text);
    end;

    if strTipoCodigo = '12' then  //CodigoBarrasUPCA
    begin
      ElginCupom_ImprimeCodigoBarrasUPCA(edtBuffer.text);
    end;

    if strTipoCodigo = '13' then  //CodigoBarrasUPCE
    begin
      ElginCupom_ImprimeCodigoBarrasUPCE(edtBuffer.text);
    end;
  end else
  application.MessageBox('Por favor, preencher o cdigo de barras', 'Erro');

end;

procedure TfrmCodigoBarras.Button2Click(Sender: TObject);
begin
close;
end;

procedure TfrmCodigoBarras.FormCreate(Sender: TObject);
begin
    UEnviaBuffer.frmEnviaBuffer.chk_AtivaSubescrito.Checked  := false;
    UEnviaBuffer.frmEnviaBuffer.chkAtivaSublinhado.Checked := false;
    UEnviaBuffer.frmEnviaBuffer.chk_AtivaSobrescrito.Checked := false;
    UEnviaBuffer.frmEnviaBuffer.chk_AtivaItalico.Checked := false;
    UEnviaBuffer.frmEnviaBuffer.rbEspaco1.Checked := true;
    if strTipoCodigo <> '' then
    begin
      case strtoint(strTipoCodigo) of
          1:  edtBuffer.Text := '123456789098';
          2:  edtBuffer.Text := '{AABC';
          3:  edtBuffer.Text := '4ab*TEST80';
          4:  edtBuffer.Text := 'AbCdEfGh12';
          5:  edtBuffer.Text := '178912345678';
          6:  edtBuffer.Text := '3551234';
          7:  edtBuffer.Text := '51234-56-789 00000';
          8:  edtBuffer.Text := '12345678901234567890';
          9:  edtBuffer.Text := '69876543';
          11: edtBuffer.Text := 'ABC0123';
          12: edtBuffer.Text := '012345678901';
          13: edtBuffer.Text := '000052';
       end;
    end;

end;

end.
