unit UEnviaBuffer;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmEnviaBuffer = class(TForm)
    Button1: TButton;
    Button2: TButton;
    edtBuffer: TMemo;
    GroupBox1: TGroupBox;
    chkAtivaSublinhado: TCheckBox;
    chkAtivaNegrito: TCheckBox;
    chk_AtivaItalico: TCheckBox;
    Label1: TLabel;
    rbFonteA: TRadioButton;
    rbFonteB: TRadioButton;
    chk_AtivaSubescrito: TCheckBox;
    chk_AtivaSobrescrito: TCheckBox;
    Button3: TButton;
    GroupBox2: TGroupBox;
    chkAlturaDupla: TCheckBox;
    chkAtivaExpandido: TCheckBox;
    Label2: TLabel;
    rbEspaco1: TRadioButton;
    rbEspaco30: TRadioButton;
    rbEspaco100: TRadioButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmEnviaBuffer: TfrmEnviaBuffer;
  iSub, iNeg, iIta: integer;

implementation
Uses UDeclaracoes, UFormatacao;
{$R *.dfm}

procedure TfrmEnviaBuffer.Button1Click(Sender: TObject);
begin
  if chkAtivaSublinhado.Checked = true then
  begin
    //Ativa modo sublinhado
    iSub := 1;
    ElginCupom_EnviaComando(Chr(27) + Chr(45) + Chr(1), 3);
  end;
  if chkAtivaSublinhado.Checked = false then
  begin
    //Desativa modo sublinhado
    iSub := 0;
    ElginCupom_EnviaComando(Chr(27) + Chr(45) + Chr(0), 3);
  end;
  if chkAtivaNegrito.Checked = true then
  begin
    //Ativa modo negrito
    iNeg := 1;
    ElginCupom_EnviaComando(Chr(27) + 'E', 2);
  end;
  if chkAtivaNegrito.Checked = false then
  begin
    //Desativa modo Negrito
    iNeg := 0;
    ElginCupom_EnviaComando(Chr(27) + 'F', 2);
  end;
  if chk_AtivaItalico.Checked = true then
  begin
    //Ativa modo Itlico
    iIta := 1;
    ElginCupom_EnviaComando(Chr(27) + '4', 2);
  end;
  if chk_AtivaItalico.Checked = false then
  begin
    //Desativa modo Itlico
    iIta := 0;
    ElginCupom_EnviaComando(Chr(27) + '5', 2);
  end;
  if chk_AtivaSubescrito.Checked = true then
  begin
    //Ativa modo Subescrito
    ElginCupom_EnviaComando(Chr(27) + 'S' + Chr(1), 3);
  end;
  if (chk_AtivaSubescrito.Checked = false) and (chk_AtivaSobrescrito.Checked = false) then
  begin
    //Desativa modo Subescrito e sobrescrito
    ElginCupom_EnviaComando(Chr(27) + 'T', 2);
  end;
  if chk_AtivaSobrescrito.Checked = true then
  begin
    //Ativa modo Itlico
    ElginCupom_EnviaComando(Chr(27) + 'S'+ Chr(0), 3);
  end;
  if rbFonteA.Checked = true then
  Begin
    ElginCupom_EnviaComando(Chr(27) + 'M'+ Chr(0), 3);
  end else begin
    ElginCupom_EnviaComando(Chr(27) + 'M'+ Chr(1), 3);
  end;

  If chkAlturaDupla.Checked = true then
  begin
    ElginCupom_EnviaComando(Chr(27) + 'V', 2);
  end;
  If chkAtivaExpandido.Checked = true then
  begin
     ElginCupom_EnviaComando(Chr(27) + 'W' + Chr(1), 3);
  end;
  If chkAtivaExpandido.Checked = false then
  begin
     ElginCupom_EnviaComando(Chr(27) + 'W' + Chr(0), 3);
  end;

  if rbEspaco1.Checked = true then
  Begin
    ElginCupom_EnviaComando(Chr(27) + Chr(32) + Chr(1), 3);
  end;

  if rbEspaco30.Checked = true then
  Begin
    ElginCupom_EnviaComando(Chr(27) + Chr(32) + Chr(30), 3);
  end;

  if rbEspaco100.Checked = true then
  Begin
    ElginCupom_EnviaComando(Chr(27) + Chr(32) + Chr(100), 3);
  end;

  TrataErro(ElginCupom_EnviaBuffer(edtBuffer.Text + chr(10)));

end;

procedure TfrmEnviaBuffer.FormCreate(Sender: TObject);
begin
  edtBuffer.Text := ('Texto a ser impresso na wind' + Chr(10));
  if iSub = 1 then
  begin
    chkAtivaSublinhado.Checked := true
  end;

  if iNeg = 1 then
  begin
    chkAtivaNegrito.Checked := true
  end;

  if iIta = 1 then
  begin
    chk_AtivaItalico.Checked := true
  end;

end;

procedure TfrmEnviaBuffer.Button4Click(Sender: TObject);
begin
  with TfrmFormatacao.create(self) do
  begin
    ShowModal;
    free;
  end;
end;

procedure TfrmEnviaBuffer.Button3Click(Sender: TObject);
begin
    ElginCupom_EnviaComando(Chr(27) + 'w', 2);
end;

procedure TfrmEnviaBuffer.Button2Click(Sender: TObject);
begin
    chk_AtivaSobrescrito.Checked  := false;
    chk_AtivaSubescrito.Checked := false;
    chk_AtivaItalico.Checked := false;
    Close;
end;
end.
