unit UPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus;

type
  TfrmDemoWind = class(TForm)
    MainMenu1: TMainMenu;
    Impresso1: TMenuItem;
    EnviaBuffer1: TMenuItem;
    ImprimeBitmap1: TMenuItem;
    Guilhotina1: TMenuItem;
    EnviaComando1: TMenuItem;
    CdigodeBarras1: TMenuItem;
    Configurar1: TMenuItem;
    Imprimir1: TMenuItem;
    Configuraes1: TMenuItem;
    AjustarPapel1: TMenuItem;
    Sair1: TMenuItem;
    VerificaPapel2: TMenuItem;
    CodigoBarrasCODABAR1: TMenuItem;
    CodigoBarrasCODE1281: TMenuItem;
    CodigoBarrasCODE391: TMenuItem;
    CodigoBarrasCODE931: TMenuItem;
    CodigoBarrasEAN131: TMenuItem;
    CodigoBarrasEAN81: TMenuItem;
    CodigoBarrasISBN1: TMenuItem;
    CodigoBarrasITF1: TMenuItem;
    CodigoBarrasMSI1: TMenuItem;
    CodigoBarrasPDF4171: TMenuItem;
    CodigoBarrasPLESSEY1: TMenuItem;
    ImprimeCodigoBarrasUPCA1: TMenuItem;
    CodigoBarrasUPCE1: TMenuItem;
    procedure Sair1Click(Sender: TObject);
    procedure EnviaBuffer1Click(Sender: TObject);
    procedure EnviaComando1Click(Sender: TObject);
    procedure Guilhotina1Click(Sender: TObject);
    procedure Configurar1Click(Sender: TObject);
    procedure CodigoBarrasCODABAR1Click(Sender: TObject);
    procedure CodigoBarrasCODE1281Click(Sender: TObject);
    procedure CodigoBarrasCODE391Click(Sender: TObject);
    procedure CodigoBarrasCODE931Click(Sender: TObject);
    procedure CodigoBarrasEAN131Click(Sender: TObject);
    procedure CodigoBarrasEAN81Click(Sender: TObject);
    procedure CodigoBarrasISBN1Click(Sender: TObject);
    procedure CodigoBarrasITF1Click(Sender: TObject);
    procedure CodigoBarrasMSI1Click(Sender: TObject);
    procedure CodigoBarrasPDF4171Click(Sender: TObject);
    procedure CodigoBarrasPLESSEY1Click(Sender: TObject);
    procedure ImprimeCodigoBarrasUPCA1Click(Sender: TObject);
    procedure CodigoBarrasUPCE1Click(Sender: TObject);
    procedure AjustarPapel1Click(Sender: TObject);
    procedure VerificaPapel2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }

  end;

var
  frmDemoWind: TfrmDemoWind;

implementation

uses UDeclaracoes, UEnviaBuffer, UEnviaComando, UConfCodBarras, UCodigoBarras, UCodigoBarrasPDF417, UAjustaPapel, UVerificaStatus, UTipoCorte;
{$R *.dfm}

procedure TfrmDemoWind.Sair1Click(Sender: TObject);
begin
if ( Application.MessageBox('Voc tem certeza que deseja sair do DemoWind?', 'DemoWind', MB_YESNO ) = IDYES) then
    Close();
end;

procedure TfrmDemoWind.EnviaBuffer1Click(Sender: TObject);
begin
  with TFrmEnviaBuffer.Create(self) do
  begin
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.EnviaComando1Click(Sender: TObject);
begin
  with TFrmEnviaComando.Create(self) do
  begin
    ShowModal;
    free;
  end;

End;

procedure TfrmDemoWind.Guilhotina1Click(Sender: TObject);
begin
  with TfrmTipoCorte.Create(self) do
  begin
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.Configurar1Click(Sender: TObject);
begin
  with TFrmConfCodBarras.Create(self) do
  begin
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasCODABAR1Click(Sender: TObject);
begin
strTipoCodigo := '1';

with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras CODABAR';
    ShowModal;
    free;
  end;

end;

procedure TfrmDemoWind.CodigoBarrasCODE1281Click(Sender: TObject);
begin
strTipoCodigo := '2';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras CODE128';
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasCODE391Click(Sender: TObject);
begin
strTipoCodigo := '3';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras CODE39';
    ShowModal;
    free;
  end;

end;

procedure TfrmDemoWind.CodigoBarrasCODE931Click(Sender: TObject);
begin
strTipoCodigo := '4';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras CODE93';
    ShowModal;
    free;
  end;

end;


procedure TfrmDemoWind.CodigoBarrasEAN131Click(Sender: TObject);
begin
strTipoCodigo := '5';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras EAN13';
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasEAN81Click(Sender: TObject);
begin
strTipoCodigo := '6';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras EAN8';
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasISBN1Click(Sender: TObject);
begin
strTipoCodigo := '7';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras ISBN';
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasITF1Click(Sender: TObject);
begin
strTipoCodigo := '8';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras ITF';
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasMSI1Click(Sender: TObject);
begin
strTipoCodigo := '9';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras MSI';
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasPDF4171Click(Sender: TObject);
begin
strTipoCodigo := '10';
with TFrmCodigoBarrasPDF417.Create(self) do
  begin
    Caption := 'Cdigo de Barras PDF417';
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.CodigoBarrasPLESSEY1Click(Sender: TObject);
begin
strTipoCodigo := '11';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras PLESSEY';
    ShowModal;
    free;
  end;
end;


procedure TfrmDemoWind.ImprimeCodigoBarrasUPCA1Click(Sender: TObject);
begin
strTipoCodigo := '12';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras UPCA';
    ShowModal;
    free;
  end;
end;


procedure TfrmDemoWind.CodigoBarrasUPCE1Click(Sender: TObject);
begin
strTipoCodigo := '13';
with TFrmCodigoBarras.Create(self) do
  begin
    Caption := 'Cdigo de Barras UPCE';
    ShowModal;
    free;
  end;
end;


procedure TfrmDemoWind.AjustarPapel1Click(Sender: TObject);
begin
with TFrmAjustaPapel.Create(self) do
  begin
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.VerificaPapel2Click(Sender: TObject);
begin
with TFrmVerificaStatus.Create(self) do
  begin
    ShowModal;
    free;
  end;
end;

procedure TfrmDemoWind.FormCreate(Sender: TObject);
begin
  UConfCodBarras.iNum := 100;
  UConfCodBarras.iNum1 := 10;
  UAjustaPapel.iLargura := 576;
  UEnviaBuffer.iSub := 0;
  UEnviaBuffer.iNeg := 0;
  UEnviaBuffer.iIta := 0;
end;

end.
