Attribute VB_Name = "ModuloDeclaracoes"
Global iNum, iNum1, ccbLargura, ccbPosicao, ccbFonte, iLargura As Integer
Global strTipoCodigo As String

'===============================================================================
'********************************************************************************
'
'                      DECLARAO DAS FUNES DA ElginCupom.DLL
'
'********************************************************************************
'===============================================================================}
Declare Function ElginCupom_AcionaGaveta Lib "ElginCupom.dll" () As Integer
Declare Function ElginCupom_AcionaGuilhotina Lib "ElginCupom.dll" (ByVal Modo As Integer) As Integer
Declare Function ElginCupom_AcionaGuilhotinaParcial Lib "ElginCupom.dll" (ByVal Modo As Integer) As Integer
Declare Function ElginCupom_AjustaLarguraPapel Lib "ElginCupom.dll" (ByVal LarguraPapel As Integer) As Integer
Declare Function ElginCupom_ConfiguraCodigoBarras Lib "ElginCupom.dll" (ByVal Altura As Integer, ByVal Largura As Integer, ByVal PosicaoCaracteres As Integer, ByVal Fonte As Integer, ByVal Margem As Integer) As Integer
Declare Function ElginCupom_EnviaBuffer Lib "ElginCupom.dll" (ByVal Buffer As String) As Integer
Declare Function ElginCupom_EnviaBufferFormatado Lib "ElginCupom.dll" (ByVal Buffer As String, ByVal TipoLetra As Integer, ByVal Italico As Integer, ByVal Sublinhado As Integer, ByVal Expandido As Integer, ByVal Enfatizado As Integer) As Integer
Declare Function ElginCupom_EnviaComando Lib "ElginCupom.dll" (ByVal Buffer As String, ByVal TamanhoBuffer As Integer) As Integer
Declare Function ElginCupom_ImprimeBitmap Lib "ElginCupom.dll" (ByVal NomeArquivo As String, ByVal Modo As Integer) As Integer
Declare Function ElginCupom_ImprimeBmpEspecial Lib "ElginCupom.dll" (ByVal NomeArquivo As String, ByVal EscalaX As Integer, ByVal EscalaY As Integer, ByVal Angulo As Integer) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasCODABAR Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasCODE128 Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasCODE39 Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasCODE93 Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasEAN13 Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasEAN8 Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasISBN Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasITF Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasMSI Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasPDF417 Lib "ElginCupom.dll" (ByVal NivelCorrecaoErros As Integer, ByVal Altura As Integer, ByVal Largura As Integer, ByVal Colunas As Integer, ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasPLESSEY Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasUPCA Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_ImprimeCodigoBarrasUPCE Lib "ElginCupom.dll" (ByVal Codigo As String) As Integer
Declare Function ElginCupom_VerificaEstadoGaveta Lib "ElginCupom.dll" () As Integer
Declare Function ElginCupom_VerificaFimPapel Lib "ElginCupom.dll" () As Integer
Declare Function ElginCupom_VerificaPoucoPapel Lib "ElginCupom.dll" () As Integer
Declare Function ElginCupom_VerificaOnLine Lib "ElginCupom.dll" () As Integer
Declare Function Elgin_RetornoImpressora Lib "ElginCupom.dll" (ByRef i As Integer, ByVal ErrorMsg As String) As Integer

'===============================================================================
'********************************************************************************
'
'                   DECLARAO DAS FUNES GLOBAIS DO DemoFit
'
'********************************************************************************
'===============================================================================}
Public Function TrataRetorno(ByVal iRetorno As Integer) As Boolean
    Dim strMsgErro As String
    Dim bRetorno As Boolean
    
    bRetorno = False
    If (iRetorno <> 1 And iRetorno <> -292) Then
        Select Case iRetorno
            Case 0
                If (ObtemRetornoECF(strMsgErro)) Then
                    MsgBox strMsgErro, vbCritical, "DemoWind - Erro na comunicao."
                Else
                    MsgBox "Erro na comunicao.", vbCritical, "DemoWind"
                End If
            Case -2
                MsgBox "Parmetro invlido na funo.", vbCritical, "DemoWind"
            Case -4
                MsgBox "O arquivo de inicializao Elgin.ini no foi encontrado no diretrio de sistema do ElginCupomows.", vbCritical, "DemoFit32"
            Case -5
                MsgBox "Erro ao abrir a porta de comunicao.", vbCritical, "DemoWind"
            Case -27
                MsgBox "Status da impressora diferente de 6,0,0 (ACK, ByVal ST1 e ST2).", vbCritical, "DemoWind"
            Case Else
                MsgBox "Ocorreu um erro desconhecido. Erro n " & CStr(iRetorno), vbCritical, "DemoWind"
        End Select
    'Else
    '    MsgBox "Operao realizada com sucesso", vbOKOnly, "DemoWind"
    '    bRetorno = True
    End If
    'TODO: Obter retorno da impressora
    TrataRetorno = bRetorno
End Function

Public Function ObtemRetornoECF(ByRef strMensagemErro As String) As Boolean
    Dim iRetorno As Integer
    Dim iCodErro As Integer
    Dim strErroMsg As String
    Dim bSucesso As Boolean
   
    strErroMsg = Space(100)
        
    iRetorno = Elgin_RetornoImpressora(iCodErro, strErroMsg)
    
    strMensagemErro = "Erro n: " & CStr(iCodErro) & " - " & strErroMsg
    
    If (iRetorno = 1) Then
        bSucesso = True
    Else
        bSucesso = False
    End If
    
    ObtemRetornoECF = bSucesso

End Function
